// gcc -o vfsmkdir vfsmkdir.c `pkg-config --libs --cflags gnome-vfs-2.0`

#include <libgnomevfs/gnome-vfs.h>

#define DEBUG
#ifdef DEBUG
#define D(x...) g_message (x)
#else
#define D(x...) 
#endif

int
main (int argc, char *argv[])
{
	GList *dlist = NULL;
	gchar *uri;
	GnomeVFSResult result;

	gnome_vfs_init ();

	if (argc > 1) {
		uri = argv[1];
	} else {
		g_print ("should be %s <uri>\n", argv[0]);
		exit (0);
	}

	// result = gnome_vfs_make_directory (argv[1],
	result = gnome_vfs_unlink(argv[1]);

	if (result != GNOME_VFS_OK) {
		g_print ("Error: %s\n",
			 gnome_vfs_result_to_string (result));
		exit (0);
	}

	gnome_vfs_shutdown ();
	return 0;
}
